# Generated from versionize_old_migrations-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name versionize_old_migrations

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Add [4.2] version to unversioned migrations
License: MIT
URL: https://rubygems.org/gems/versionize_old_migrations
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Beginning with Rails 5, migrations must have the Rails version they were
created with appended to the base class name ActiveRecord::Migration. 
Migrations created prior to Rails 5 should have [4.2] appended, which is what
this gem does.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.1-1
- Initial package
